<div mat-subheader>Unobservable command</div>

<div id="contents">
    <app-parameter-area [feature]="feature" [command]="command"></app-parameter-area>
    <app-metadata-area [serverUuid]="server.serveruuid!" [feature]="feature" [item]="command"></app-metadata-area>
    <button mat-raised-button color="primary" (click)="executeUnobservableCommand()">Execute command</button>
    <app-result-area [hidden]="!resultAreaVisible" [feature]="feature" [command]="command"></app-result-area>
    <app-error-area [hidden]="!errorAreaVisible" [definedExecutionErrors]="feature.definedExecutionErrors || []"></app-error-area>
</div>
